Bug 1293448 (CVE-2015-8618) - CVE-2015-8618 golang: Carry propagation in Int.Exp Montgomery code in math/big library
Summary: CVE-2015-8618 golang: Carry propagation in Int.Exp Montgomery code in math/bi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8618
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1293449 1293451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-21 19:05 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
24 users (show)

Fixed In Version: Go 1.5.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 16:01:52 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-12-21 19:05:03 UTC
Carry propagation in Int.Exp Montgomery function was found in golang's math/big library, similar to CVE-2015-3193. This issue was introduced in the 1.5 release and remains present in 1.5.1 and 1.5.2.

Upstream patch:

https://go-review.googlesource.com/#/c/17672/

CVE request:

http://seclists.org/oss-sec/2015/q4/550

Comment 1 Adam Mariš 2015-12-21 19:06:04 UTC
Created golang tracking bugs for this issue:

Affects: epel-6 [bug 1293449]
Affects: fedora-all [bug 1293451]

Comment 2 Fedora Update System 2016-01-17 17:50:34 UTC
golang-1.5.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-26 03:20:20 UTC
golang-1.5.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.